function FinancialInfoGadgetSettings()
{
	var thisObj 		= this;

	this.init = function()
	{
		System.Gadget.onSettingsClosing = this.settingsClosing;
		this.loadSettings();
	}
	
	this.run = function()
	{
		this.init();
	}

	this.settingsClosing = function(event)
	{
		if (event.closeAction == event.Action.commit)
		{
			thisObj.saveSettings();
		}
	}
	
	this.loadSettings = function()
	{
		var txtAlign;
		var updateInterval;
		
		document.getElementById("showUsd").checked = System.Gadget.Settings.read("showUsd") == false ? true : false;
		document.getElementById("showEur").checked = System.Gadget.Settings.read("showEur") == false ? true : false;
		document.getElementById("showGbp").checked = System.Gadget.Settings.read("showGbp") == false ? true : false;
		document.getElementById("showXdr").checked = System.Gadget.Settings.read("showXdr") == false ? true : false;
		document.getElementById("showXau").checked = System.Gadget.Settings.read("showXau") == false ? true : false;
		document.getElementById("showTry").checked = System.Gadget.Settings.read("showTry") == false ? true : false;
		document.getElementById("showSek").checked = System.Gadget.Settings.read("showSek") == false ? true : false;
		document.getElementById("showPln").checked = System.Gadget.Settings.read("showPln") == false ? true : false;
		document.getElementById("showNok").checked = System.Gadget.Settings.read("showNok") == false ? true : false;
		document.getElementById("showMdl").checked = System.Gadget.Settings.read("showMdl") == false ? true : false;
		document.getElementById("showJpy").checked = System.Gadget.Settings.read("showJpy") == false ? true : false;
		document.getElementById("showHuf").checked = System.Gadget.Settings.read("showHuf") == false ? true : false;
		document.getElementById("showEgp").checked = System.Gadget.Settings.read("showEgp") == false ? true : false;
		document.getElementById("showDkk").checked = System.Gadget.Settings.read("showDkk") == false ? true : false;
		document.getElementById("showCzk").checked = System.Gadget.Settings.read("showCzk") == false ? true : false;
		document.getElementById("showChf").checked = System.Gadget.Settings.read("showChf") == false ? true : false;
		document.getElementById("showCad").checked = System.Gadget.Settings.read("showCad") == false ? true : false;
		document.getElementById("showAud").checked = System.Gadget.Settings.read("showAud") == false ? true : false;

		txtAlign = System.Gadget.Settings.read("txtAlign");
		if (txtAlign == "left")
		{
			document.getElementById("txtAlignL").checked = true;
			document.getElementById("txtAlignC").checked = false;
			document.getElementById("txtAlignR").checked = false;
		}
		else if (txtAlign == "right")
		{
			document.getElementById("txtAlignL").checked = false;
			document.getElementById("txtAlignC").checked = false;
			document.getElementById("txtAlignR").checked = true;
		}
		else
		{
			document.getElementById("txtAlignL").checked = false;
			document.getElementById("txtAlignC").checked = true;
			document.getElementById("txtAlignR").checked = false;
		}
		
		updateInterval = System.Gadget.Settings.read("updateInterval");
		switch (updateInterval)
		{
			case 5:
				document.getElementById('updateInterval').selectedIndex = 0;
			break;
			
			case 10:
				document.getElementById('updateInterval').selectedIndex = 1;
			break;
			
			case 15:
				document.getElementById('updateInterval').selectedIndex = 2;
			break;
			
			case 20:
				document.getElementById('updateInterval').selectedIndex = 3;
			break;
			
			case 30:
				document.getElementById('updateInterval').selectedIndex = 4;
			break;
			
			case 40:
				document.getElementById('updateInterval').selectedIndex = 5;
			break;
			
			default:
				document.getElementById('updateInterval').selectedIndex = 6;
			break;
		}
	}
	
	this.saveSettings = function()
	{
		System.Gadget.Settings.write("showUsd", !document.getElementById("showUsd").checked);
		System.Gadget.Settings.write("showEur", !document.getElementById("showEur").checked);
		System.Gadget.Settings.write("showGbp", !document.getElementById("showGbp").checked);
		System.Gadget.Settings.write("showXdr", !document.getElementById("showXdr").checked);
		System.Gadget.Settings.write("showXau", !document.getElementById("showXau").checked);
		System.Gadget.Settings.write("showTry", !document.getElementById("showTry").checked);
		System.Gadget.Settings.write("showSek", !document.getElementById("showSek").checked);
		System.Gadget.Settings.write("showPln", !document.getElementById("showPln").checked);
		System.Gadget.Settings.write("showNok", !document.getElementById("showNok").checked);
		System.Gadget.Settings.write("showMdl", !document.getElementById("showMdl").checked);
		System.Gadget.Settings.write("showJpy", !document.getElementById("showJpy").checked);
		System.Gadget.Settings.write("showHuf", !document.getElementById("showHuf").checked);
		System.Gadget.Settings.write("showEgp", !document.getElementById("showEgp").checked);
		System.Gadget.Settings.write("showDkk", !document.getElementById("showDkk").checked);
		System.Gadget.Settings.write("showCzk", !document.getElementById("showCzk").checked);
		System.Gadget.Settings.write("showChf", !document.getElementById("showChf").checked);
		System.Gadget.Settings.write("showCad", !document.getElementById("showCad").checked);
		System.Gadget.Settings.write("showAud", !document.getElementById("showAud").checked);

		if (document.getElementById("txtAlignL").checked)
		{
			System.Gadget.Settings.write("txtAlign", "left");
		}
		else if (document.getElementById("txtAlignR").checked)
		{
			System.Gadget.Settings.write("txtAlign", "right");
		}
		else
		{
			System.Gadget.Settings.write("txtAlign", "center");
		}
			
		System.Gadget.Settings.write("updateInterval", document.getElementById("updateInterval").value);
	}
}